Subject: Re: [Megaco] Sequential Signal List

From: [email-masked]
Date: Tue, 4 Feb 2003 09:33:16 +0530

Hi Christian,

Thanks for the clarifications.

Suppose MGC is interested in getting Signal Completion notification in following
4 conditions:
i) Complete signal list is played out (After last signal completes)
ii) If Signal list is interrupted by event indication
iii) If Signal list is interrupted by new signal descriptor
iv) If Signal list is aborted abnormally

1st case will be solved by having "notify completion" flag with the last signal.

Since it is not known when new signal descriptor will arrive or when event will
be detected, so for other cases we have to attach "notify completion" with each
and every signal.

To avoid this, Can we use the convention that "notify completion" in any signal
in the list causes "notify completion" for the list.

So if signal list have "notify completion" with the last signal only, all 4
conditions will be satisfied.

Pls. clarify....

Thanks in advance.
Ashish

Christian Groves <[email-masked]> on 01/30/2003 06:35:49 AM

To:   Ashish Singh/HSS@HSS
cc:   [email-masked]

Subject:  Re: [Megaco] Sequential Signal List

Hello,

Please see my comments below.

Regards, Christian

[email-masked] wrote:
>
> Hi List,
>
> A sequential signal list consists of a signal list identifier and a sequence
of
> signals to be played sequentially.
> Each Signal of this list consists of signal name along with optional
parameters
> like Stream id, Signal type, Signal duration, Notify Completion reasons and
> Keep Active flag.
>
> I am listing down my queries below.
>
> 1) Protocol Grammar allows the use of Notify Completion reasons with the
signals
> in Sequential signal list. Is there any practical scenario, in which MGC is
> interested in getting Signal Completion notification after completion of each
> signal of sequential list.

[CHG] I don't know of a practical reason to do so, but in the development of the
protocol a signal list was seen as a list of individual signals with all the
capabilities of stand alone signals.

>
> Rather MGC will be interested in getting Signal Completion notification after
> completion of whole sequential list. Since Notify Completion reason is
attached
> with indivisual signals and not with sequential list, so how will MGC indicate
> MG to do so.

[CHG] Just put notify completion on the last signal in the list.

>
> 2) Protocol Grammar allows the use of different stream ids with the signals in
> Sequential signal list. But is there any practical scenario, in which a
> sequential signal list contains signals to be played on different streams. or
> All signals in sequential signal list shall refer to the same stream.

[CHG] I don't know of any practical usage in PSTN/ISDN telephony that would need
this but for multimedia I could see a case where you would synchronise between
video and voice streams.

>
> 3) What is significance of Keep active flag with each signal of sequential
list?

[CHG] None, as a replacement with the same SignalListID ensures that the signals
continue to play.

>
> Thanks in advance.
>
> Thanks N Regards
> Ashish Singh
> Hughes Software Systems
>
> DISCLAIMER: This message is proprietary to Hughes Software Systems
> Limited (HSS) and is intended solely for the use of the individual
> to whom it is addressed. It may contain  privileged or confidential
> information  and should not be circulated or used for any purpose other
> than for what it is intended. If you have received this message in error,
> please notify the originator immediately. If you are not the intended
> recipient, you are notified that you are strictly prohibited from using,
> copying, altering, or disclosing the contents of this message. HSS accepts
> no responsibility for loss or damage arising from the use of the information
> transmitted by this email including damage from virus.
>
> _______________________________________________
> Megaco mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/megaco

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

---

From: [email-masked]
Date: Tue, 4 Feb 2003 09:33:16 +0530

Hi Christian,

Pls. clarify....

Thanks in advance.
Ashish

To:   Ashish Singh/HSS@HSS
cc:   [email-masked]

Hello,

Regards, Christian

of
parameters
signals

attached

list?